For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Request by ID

Get request by id

get

This method returns the request that matches the entered ID + the corresponding challenge.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
request_idintegerRequired

The request's ID.

Responses
200

Request object with corresponding challenge

application/json
created_byinteger · nullableOptionalDefault: nullExample: 12
created_onstring · date-timeRequired
expires_atstring · date-timeRequired
idintegerRequired
statusstring · enumRequiredExample: PENDING_APPROVALPossible values:
target_idintegerRequiredExample: 10
target_typestring · enumRequiredExample: TRANSACTIONPossible values:
typestring · enumRequiredExample: CREATE_TRANSACTIONPossible values:
used_admin_groupinteger · nullableOptional

Admin Group used to create and approve the request

Default: nullExample: 1
get
/requests/{request_id}

Last updated